/**
 * @file topocenter_migration.h
 *
 * @brief TopoCenter(1) migration algorithm (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: topocenter_migration.h 3293 2010-02-14 16:30:18Z gwitten $
 */

#ifndef TOPOCENTER_MIGRATION_H
#define TOPOCENTER_MIGRATION_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

void topocenter_migration_start(SERVICE_service_t* service);
void topocenter_migration_stop(SERVICE_service_t* service);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// TOPOCENTER_MIGRATION_H
