/**
 * @file callback.h
 *
 * @brief Callback functions (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: callback.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef UTIL_CALLBACK_H
#define UTIL_CALLBACK_H

#include "../types.h"

callback_id_t callback_add(callback_function_t function, callback_parameter_t parameter, C_time_t delay);
void callback_cancel(callback_id_t id);
void callback_expire();

#endif	// UTIL_CALLBACK_H
