/**
 * @file stats.h
 *
 * @brief Functions for processing and output of statistics (header).
 *
 * Copyright (c) 2010 Georg Wittenburg, Freie Universitaet Berlin
 * (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: stats.h 3319 2010-02-19 10:28:53Z gwitten $
 */

#ifndef UTIL_STATS_H
#define UTIL_STATS_H

#include "../types.h"

void periodic_statistics_measurement();
void periodic_statistics_measurement_callback(callback_parameter_t parameter);
#ifndef ARCH_NS2
void print_statistics(bool print_readable_ouput, bool print_parseable_header, bool print_parseable_results);
#endif	// ARCH_NS2

#endif	// UTIL_STATS_H
