/**
 * @file debug.h
 *
 * @brief Debugging functions (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: debug.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef UTIL_DEBUG_H
#define UTIL_DEBUG_H

#include "../types.h"

void debug_printf(uint8_t debug_level, uint8_t msg_type, const char *format, ...);

#endif	// UTIL_DEBUG_H
